
// keywords

void init_keywords() {
  semi_colon_tok = get_c_token();
  colon_tok = get_c_token();
  open_paren_tok = get_c_token();
  close_paren_tok = get_c_token();
  open_bracket_tok = get_c_token();
  close_bracket_tok = get_c_token();
  period_tok = get_c_token();
  comma_tok = get_c_token();
  assignment_tok = get_c_token();
  succ_tok = get_c_token();
  pred_tok = get_c_token();
  plus_tok = get_c_token();
  minus_tok = get_c_token();
  times_tok = get_c_token();
  div_tok = get_c_token();
  mod_tok = get_c_token();
  bit_and_tok = get_c_token();
  bit_or_tok = get_c_token();
  bit_xor_tok = get_c_token();
  bit_not_tok = get_c_token();
  shr_tok = get_c_token();
  shl_tok = get_c_token();
  abs_tok = get_c_token();
  not_tok = get_c_token();
  and_tok = get_c_token();
  or_tok = get_c_token();
  equal_tok = get_c_token();
  not_equals_tok = get_c_token();
  less_than_tok = get_c_token();
  greater_than_tok = get_c_token();
  less_or_equal_tok = get_c_token();
  greater_or_equal_tok = get_c_token();
  pound_tok = get_c_token();
  include_tok = get_c_token();
  define_tok = get_c_token();
  exit_tok = get_c_token();
  getchar_tok = get_c_token();
  putchar_tok = get_c_token();
  printf_tok = get_c_token();
  integer_tok = get_c_token();
  void_tok = get_c_token();
  return_tok = get_c_token();
  main_tok = get_c_token();
  char_tok = get_c_token();
  if_tok = get_c_token();
  then_tok = get_c_token();
  else_tok = get_c_token();
  for_tok = get_c_token();
  do_tok = get_c_token();
  while_tok = get_c_token();
  case_tok = get_c_token();
  switch_tok = get_c_token();
  break_tok = get_c_token();
  goto_tok = get_c_token();
  begin_tok = get_c_token();
  end_tok = get_c_token();
  zero_tok = get_c_token();
  one_tok = get_c_token();
  return;
}
